#define LED_PIN LED_BUILTIN

#define LED_OFF 0
#define LED_ON 1
#define LED_BLINK 2

bool onVal = LOW;
bool offVal = HIGH;

int mode; // 0:off, 1:on, 2:blink
int onMil = 3000;
int offMil = 500;

void setup() {
  Serial.begin(115200);
  Serial.println();
 
  Serial.println("Input m0 for led off");
  Serial.println("Input m1 for led on");
  Serial.println("Input m2 for led blink");

  pinMode(LED_PIN,OUTPUT);
}

void loop() {
 
  while(Serial.available()) {
    char c = Serial.read();
    if (c == 'm') {
      int val = Serial.parse###();
      ### (val) {
        case 0 : mode = LED_OFF;
                 digitalWrite(LED_PIN,###);
                 Serial.println("mode=LED_OFF");
                 break;
        case 1 : mode = LED_ON;
                 digitalWrite(LED_PIN,###);
                 Serial.println("mode=LED_ON");
                 break;
        case 2 : mode = LED_BLINK;
                 Serial.println("mode=LED_BLINK");
                 break;
        ### : Serial.println("mode ERROR!!");
                 ###;
      }
    }
  }

  if (mode == LED_BLINK) {
    digitalWrite(LED_PIN,onVal);
    delay(###);
    digitalWrite(LED_PIN,offVal);
    delay(###);
  }
}