#define BTN_PIN D3          // GPIO0
#define LED_PIN LED_BUILTIN

#define BTN_ON  LOW         // INPUT_PULLUP
#define BTN_OFF HIGH        // INPUT_PULLUP

#define LED_ON  LOW         // current sinking
#define LED_OFF HIGH        // current sinking

int ledVal = LED_OFF;

int btnVal   = BTN_OFF;
int SVbtnVal = BTN_OFF;     // SV(save) btn

void setup() {
  pinMode(LED_PIN,OUTPUT);       // pin에 LOW 출력되어 ON됨
  digitalWrite(LED_PIN,ledVal);  // OFF
  pinMode(BTN_PIN,INPUT_PULLUP); // 내부 PULLUP회로 사용
}

void loop() {
  btnVal = digitalRead(BTN_PIN);
  // 버튼이 눌렸을 때
  if (SVbtnVal == BTN_### && btnVal == BTN_###) {
    ###(20);                         // debounce
    ledVal = ###ledVal;                  // LED의 ON/OFF 바꿈
    digitalWrite(LED_BUILTIN,ledVal);
  }
  ### = btnVal;                   // 버튼 값 보관
}