#define LED_PIN LED_BUILTIN

#include "Led.h"
Led led(LED_PIN,LOW);  // PIN, onVal 

void setup() {
  Serial.begin(115200);
  Serial.println(); 

  Serial.println("Input m 0 for led off");
  Serial.println("Input m 1 for led on");
  Serial.println("Input m 2 for led blink");
  Serial.println("Input m 3 for current mode");
  Serial.println("Input n nnn for onMil"); 
  Serial.println("Input f nnn for offMil");
}

void loop() {

  while(Serial.available()) {
    char c = Serial.read();
    if (c == 'm') {
      int val = Serial.parseInt();
      switch (val) {
        case 0 : led.off();      
                 Serial.println("mode=LED_OFF");
                 break;
        case 1 : led.on();
                 Serial.println("mode=LED_ON");
                 break;
        case 2 : led.blink();
                 Serial.println("mode=LED_BLINK");
                 break;
        case 3 : Serial.print("current mode=");
                 Serial.println(###);
                 break;
        default: Serial.println("mode ERROR!!");
      }
    }
    else if (c == 'n') {
      int val = Serial.parseInt();
      led.setOnMil(val);
      Serial.printf("ledSetOnMil=%d\n",val);
    }
    else if (c == 'f') {
      int val = Serial.parseInt();
      led.setOffMil(val);
      Serial.printf("ledSetOffMil=%d\n",val);
    }
  }
  led.run(); // LED_BLINK일 때 ON,OFF
}