#include <AimTimer.h>
AimTimer timerTemp;

#define DS18B20_PIN D7

// OneWire.h와 DallasTemperature.h는 라이브러리 매니저에서 설치
#include <OneWire.h> 
#include <DallasTemperature.h> 
#define ONE_WIRE_BUS DS18B20_PIN
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup() {
  Serial.begin(115200);
  Serial.println();
  sensors.begin(); 
}
 
void loop() {
  if (timerTemp.isOn(5.0)) {
    sensors.requestTemperatures();
    float temp = sensors.getTempCByIndex(0);
    Serial.print("getTempCByIndex, temp=");
    Serial.println(temp);
  }
}