### LED_H
### LED_H

#define LED_OFF 0
#define LED_ON 1
#define LED_BLINK 2

#define ON_MIL 3000
#define OFF_MIL 500

// class 이름 첫글자는 대문자가 좋음
class Led {

  // 외부에 알려짐
  public:
    // constructor
    // class 이름 사용
    // void가 없음
    Led(int pin, bool onVal);

    void setOnMil(int val);
    void setOffMil(int val);
    void off();
    void on();
    void blink();
    void run();

  // 내부에서만 사용
  private:
    int pin;  
    bool onVal;
    bool offVal;

    int mode; // 0:LED_OFF, 1:LED_ON, 2:LED_BLINK
    int onMil;
    int offMil;

    bool blinkOn;
    unsigned long nextMil;
}; // {}의 끝에 ;이 있음

###