#define MOTION_PIN D3
#define LED_PIN    LED_BUILTIN

#define MOTION_ON_SEC 10

#include <AimOutput.h>
AimOutput led(LED_PIN,LOW);

#include <Aim###.h>
Aim###  motion(MOTION_PIN,LOW,INPUT_PULLUP,
                  MOTION_ON_SEC);

void setup() {
  Serial.begin(115200);
  Serial.println();
  Serial.println("Press button for alarm on/off");
}

void loop() {
  led.run();
  if (motion.to###()) {
    led.set(700,300);
    Serial.println(">>Motion On");
  }
  else if(motion.to###()) {
    led.off();
    Serial.println(">>Motion Off");
  }
}