#define LED_PIN LED_BUILTIN
#define LED_ON  LOW         //current sinking

#include <AimOutput.h>
AimOutput led(LED_PIN,LED_ON);

#include <AimSerial.h>
AimSerial mySerial;

void setup() {
  Serial.begin(115200);
  Serial.println();
  Serial.println(
         "Input >> on|off|toggle|set|set2|set3|status");
  mySerial.begin(mySerialCallback);
}

void loop() {
  led.run();
  mySerial.run();
}

void mySerialCallback(const String& key, const String& val) {
  if (key == "on") {
    led.###();
  }
  else if (key == "off") {
    led.##();
  }
  else if (key == "toggle") {
    led.###();
  }
  else if (key == "set") {
    led.##(300,200);
  }
  else if (key == "set2") {
    led.###(300,200,3);
  }
  else if (key == "set3") {
    led.###(300,200,3,5,1000);
  }
  else if (key == "status") {
    Serial.printf("led.status() : %d\n",led.###());
  }
}