#define BTN_PIN  0 // D3

// ISR에서 사용되는 변수는 volatile로 선언합니다
volatile int cnt = 0;

// ISR 이름 앞에는 ICACHE_RAM_ATTR을 붙여서
// 항상 RAM에서 대기하도록 합니다.
void ### btnCntISR() {
  cnt++;
}

void setup() {
  Serial.begin(115200);
  Serial.println();
  pinMode(BTN_PIN,INPUT_PULLUP);
  ###Interrupt(digitalPin###(BTN_PIN),
                  btnCntISR,###);
}

void loop() {
  static unsigned long nextMil = millis() + 5000;
  if (millis() > nextMil) {
    nextMil = millis() + 5000;
    no###();   // interrupt 중지
    int newCnt = cnt; // 임시 변수로 옮겨둡니다
    cnt = 0;          // 초기화
    ###();     // interrupt 재개
    Serial.printf("btn cnt=%d\n",newCnt);  
  }
}
