#define POT_PIN A0
#define LED_PIN LED_BUILTIN

#define LED_ON  LOW
#define LED_OFF HIGH

#define HIGH_VOLTAGE 3.3
#define RESOLUTION 1024

void setup() {
  Serial.begin(115200);
  Serial.println();
  pinMode(LED_PIN,OUTPUT);
}

void loop() {  
  int val = ###Read(POT_PIN);

  // 읽은 값과 전압을 1초 간격으로 출력
  static unsigned long nextPrintMil = millis() + 1000; 
  if ( millis() > nextPrintMil) {
    nextPrintMil = millis() + 1000;
    float vol = val * ### / ###;
    Serial.printf("val=%d,vol=%.1f\n",val,vol);
  }

  // val간격 만큼 ON/OFF
  static int ledVal = LED_OFF;
  static unsigned long nextLedMil = 0;
  if ( millis() > nextLedMil) {
    nextLedMil = millis() + val;
    ledVal = !ledVal;
    digitalWrite(LED_PIN,ledVal);
  }  
}